<template>
  <template-page
    ref="pageRef"
    :getList="getList"
    :exportList="exportList"
    :columnParsing="columnParsing"
    :optionsEvensGroup="optionsEvensGroup"
    :morePlan="morePlan"
  >
  </template-page>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import { insureWorkerList, insureWorkerExport } from '@/api/InsuranceManagement.js'
export default {
  components: { TemplatePage },
  props: {
    batchEamilNo: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      morePlan: [],
      // 事件组合
      optionsEvensGroup: [],
      // 表格属性
      tableAttributes: {},
      // 表格事件
      tableEvents: {}
    }
  },
  methods: {
    // 列表请求函数
    getList(p) {
      p.params.push({ param: 'send_batch', compare: 'like', value: this.batchEamilNo })
      return insureWorkerList({ ...p, sendBatch: this.batchEamilNo })
    },
    // 导出
    exportList: insureWorkerExport,
    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
      return defaultData
    }
  }
}
</script>

<style lang="scss" scoped></style>
